# Retrieve an execution result Retrieve details for a specific data connector execution result. Always includes request/response bodies and the sanitised request URL. Endpoint: GET /data_connectors/{data_connector_id}/execution_results/{id} Version: Unstable Security: bearerAuth ## Header parameters: - `Intercom-Version` (string) Intercom API version.By default, it's equal to the version set in the app package. Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14", "Unstable" ## Path parameters: - `data_connector_id` (string, required) The unique identifier for the data connector. Example: "12345" - `id` (string, required) The unique identifier for the execution result. Example: "99001" ## Response 200 fields (application/json): - `type` (string) The type of object - data_connector.execution. Enum: "data_connector.execution" - `id` (string) The unique identifier for the execution result. Example: "99001" - `data_connector_id` (string) The unique identifier of the data connector that produced this result. Example: "12345" - `success` (boolean) Whether the execution was successful. Example: true - `http_status` (integer,null) The HTTP status code returned by the external API. Example: 200 - `http_method` (string) The HTTP method used for the request. Enum: "get", "post", "put", "delete", "patch" - `error_type` (string,null) The type of error that occurred, if any. Enum: "request_configuration_error", "faraday_error", "3rd_party_error", "response_mapping_error", "token_refresh_error", "fin_action_response_formatting_error", "fin_action_identity_verification_error", "email_verification_error", "non_fin_standalone_action_identity_verification_error", "request_validation_error", "client_side_action_error" - `error_message` (string,null) A human-readable error message. Query parameters, userinfo, and fragments in URLs are redacted. Example: "Connection refused" - `execution_time_ms` (integer,null) The execution time in milliseconds. Example: 245 - `source_type` (string,null) The type of source that triggered this execution. Enum: "custom_bot", "inbound_custom_bot", "button_custom_bot", "answer", "workflow", "saved_reply", "triggerable_custom_bot", "inbox", "fin" - `source_id` (string,null) The identifier of the source that triggered this execution. Example: "5001" - `conversation_id` (string,null) The conversation associated with this execution, if any. Example: "8001" - `created_at` (string) The time the execution occurred. Example: "2026-02-10T18:15:32Z" - `request_url` (string,null) The request URL. Query parameters, userinfo, and fragments are redacted. Example: "https://api.example.com/webhook" - `request_body` (string,null) The request body sent to the external API. Example: "{\"message\": \"hello\"}" - `response_body` (string,null) The response body from the external API. Example: "{\"status\": \"ok\"}" - `raw_response_body` (string,null) The raw (unmapped) response body. Example: "{\"status\": \"ok\"}" ## Response 401 fields (application/json): - `type` (string, required) The type is error.list Example: "error.list" - `request_id` (string,null) Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85" - `errors` (array, required) An array of one or more error objects - `errors.code` (string, required) A string indicating the kind of error, used to further qualify the HTTP response code Example: "unauthorized" - `errors.message` (string,null) Optional. Human readable description of the error. Example: "Access Token Invalid" - `errors.field` (string,null) Optional. Used to identify a particular field or query parameter that was in error. Example: "email" ## Response 404 fields (application/json): - `type` (string, required) The type is error.list Example: "error.list" - `request_id` (string,null) Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85" - `errors` (array, required) An array of one or more error objects - `errors.code` (string, required) A string indicating the kind of error, used to further qualify the HTTP response code Example: "unauthorized" - `errors.message` (string,null) Optional. Human readable description of the error. Example: "Access Token Invalid" - `errors.field` (string,null) Optional. Used to identify a particular field or query parameter that was in error. Example: "email"